%define python3_pkgversion 39
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name async-timeout

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        4.0.2
Release:        2.0.2%{?dist}
Summary:        Timeout context manager for asyncio programs

License:        Apache 2
URL:            https://github.com/aio-libs/async-timeout
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        THIRD_PARTY_LICENSES
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-typing-extensions >= 3.6.5


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}
# Add 3rd party licenses
%{__cp} %{SOURCE1} .


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE THIRD_PARTY_LICENSES
%doc README.rst
%{python3_sitelib}/async_timeout
%{python3_sitelib}/async_timeout-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jul 24 2023 Lans Hung <lans.hung@oracle.com> - 4.0.2-2.0.2
- Add 3rd party licenses

* Wed Feb 1 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 4.0.2-2.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 4.0.2-2
- Build against python 3.9

* Mon Feb 07 2022 Odilon Sousa 4.0.2-1
- Update to 4.0.2

* Mon Sep 06 2021 Evgeni Golov - 3.0.1-3
- Build against Python 3.8

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.0.1-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 3.0.1-1
- Initial package.
